#include ONCE "window9.bi"

function Resize_Image (pImage as Hbitmap , iWidth as long , iHeight as long) as Hbitmap export
	
	if iWidth <> 0 andalso iHeight <> 0 then
	
		dim as Hbitmap pTemp = pImage
		
		function = gdk_pixbuf_scale_simple(pImage , iWidth , iHeight , GDK_INTERP_BILINEAR)
		
		g_object_unref(pTemp)

	EndIf

End Function